Skip to main content
GET
/
logs
/
{logId}
/
dashboards
List dashboards associated with a log
curl --request GET \
  --url https://api.eu.bronto.io/logs/{logId}/dashboards \
  --header 'X-BRONTO-API-KEY: <api-key>'
[
  {
    "name": "Application Performance Dashboard",
    "dashboard_id": "d47ac10b-58cc-4372-a567-0e02b2c3d479",
    "description": "Overview of application metrics and performance indicators",
    "widgets": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "5xx errors by service",
        "description": "This widget shows the 5xx errors by service",
        "type": "line",
        "metric_ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "widget_ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "layout": {
          "widget_layouts": [
            {
              "id": "78739235-9aa7-4eca-b7f3-4cf6ee455b8f",
              "x": 1.25,
              "y": 2,
              "w": 20,
              "h": 5
            }
          ]
        },
        "tags": {
          "region": "eu",
          "environment": "production"
        },
        "template": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "arguments": {
            "from": {
              "value": {
                "value": "a157b003-d5b8-4333-a3e2-7c7864300852"
              }
            },
            "region": {
              "value": {
                "input": "region"
              }
            }
          }
        },
        "metadata": {
          "created_at": 123,
          "updated_at": 123
        }
      }
    ],
    "layout": {
      "metric_ids": [
        "x",
        "y"
      ]
    },
    "tags": {
      "region": "eu",
      "environment": "production"
    },
    "template": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "arguments": {
        "from": {
          "value": {
            "value": "a157b003-d5b8-4333-a3e2-7c7864300852"
          }
        },
        "region": {
          "value": {
            "input": "region"
          }
        }
      }
    },
    "metadata": {
      "created_at": 123,
      "updated_at": 123
    }
  }
]

Authorizations

X-BRONTO-API-KEY
string
header
required

Path Parameters

logId
string<uuid>
required

The unique identifier of the log

Response

List of dashboards for the given log

name
string
required

The name of the dashboard.

Example:

"Application Performance Dashboard"

dashboard_id
string<uuid>

Unique identifier of the dashboard.

Example:

"d47ac10b-58cc-4372-a567-0e02b2c3d479"

description
string

The description of the dashboard.

Example:

"Overview of application metrics and performance indicators"

widgets
object[]

The widgets included in this dashboard.

layout
object

Optional layout metadata for the dashboard.

tags
object

A map of key value pairs associated with this log

Example:
{
"region": "eu",
"environment": "production"
}
template
object
metadata
object

Common metadata attached to all persisted resources.